Skip to content

List authorized users

Request to list the users who are authorized to use an encryption key:

GET /api/v2/encrypt_keys/<key-id>/authorized_users.json

Authorized users can play back the recordings encrypted with the key. The response is a list of user IDs:

{
    "users": [
        {"user_id": "2c4b823a-8ce4-11e5-93b6-e03f497dbdff"},
        {"user_id": "5a5b525a-7ce5-11e5-83b6-a66f445dbdea"}
    ],
    "total": 2,
    "next_url": null
}

The list accepts the same paging and search parameters as List and search users: limit, start, search_term, name, login, extension, group_id, and tenant_id.

To check whether one user is authorized, request that user directly:

GET /api/v2/encrypt_keys/<key-id>/authorized_users/<user-id>.json
{"user_id": "2c4b823a-8ce4-11e5-93b6-e03f497dbdff"}

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The list, or the requested user, is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view encryption keys
404 Not Found Encryption key with such ID does not exist, or (for the single-user request) the user is not authorized to use the key or does not exist